import { Editor } from '@gant-lowcode/lowcode-editor-core';
import { Designer, ILowCodePluginContextPrivate } from '@gant-lowcode/lowcode-designer';
import { IEditorWindow, IWorkspace } from '@gant-lowcode/lowcode-workspace';
import { ICoreModelFactory, IPublicApiPlugins, IPublicModelEngineConfig, IPublicEnumPluginRegisterLevel } from '@gant-lowcode/lowcode-types';
declare class CoreModelFactory implements ICoreModelFactory {
    createCore(innerWorkspace: IWorkspace, viewName?: string, workspaceMode?: boolean, registerLevel?: IPublicEnumPluginRegisterLevel, editorWindow?: IEditorWindow): {
        designer: Designer;
        engineContext: Partial<ILowCodePluginContextPrivate>;
        editor: Editor;
        plugins: IPublicApiPlugins;
        config: IPublicModelEngineConfig;
    };
}
export declare const coreModelFactory: CoreModelFactory;
export {};
